VERSION 5.00
Begin VB.Form frmPicker 
   BorderStyle     =   3  'Fester Dialog
   ClientHeight    =   300
   ClientLeft      =   45
   ClientTop       =   45
   ClientWidth     =   525
   ControlBox      =   0   'False
   Icon            =   "frmPicker.frx":0000
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   20
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   35
   ShowInTaskbar   =   0   'False
   Begin VB.Line ChoosingLine 
      BorderWidth     =   2
      X1              =   8
      X2              =   8
      Y1              =   0
      Y2              =   16
   End
End
Attribute VB_Name = "frmPicker"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Attribute VB_Description = "Schnellauswahlfenster"
Option Explicit

Private Sub Form_Load()
    Dim diffX As Integer, diffY As Integer

    diffX = frmPicker.Width - (frmPicker.ScaleWidth * Screen.TwipsPerPixelX)
    diffY = frmPicker.Height - (frmPicker.ScaleHeight * Screen.TwipsPerPixelY)

    frmPicker.Width = (256 * Screen.TwipsPerPixelX) + diffX
    frmPicker.Height = (15 * Screen.TwipsPerPixelY) + diffY

    frmPicker.ChoosingLine.x1 = 0
    frmPicker.ChoosingLine.x2 = 0
    frmPicker.ChoosingLine.y1 = 0
    frmPicker.ChoosingLine.y2 = frmPicker.ScaleHeight

End Sub

Private Sub Form_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    SetCapture Me.hWnd
    Form_MouseMove Button, Shift, X, Y
End Sub

Private Sub Form_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    Dim ix As Single, iy As Single, tRGBCol As RGBColT
    Dim nVal As Integer
    If Button = 1 Then
        ix = setRange(X, 0, frmPicker.ScaleWidth - 1)

        ChoosingLine.x1 = ix
        ChoosingLine.x2 = ix

        ix = ix / (frmPicker.ScaleWidth - 1) * maxVal

        If CBool(frmMain.chkShowHexvalues.Value) And (PickerMode >= Rot And PickerMode <= Blau) Then
            If CBool(frmMain.chkWebSafe.Value) Then
                tRGBCol.R = Int(ix)
                tRGBCol = makeWebSafe(tRGBCol)
                frmMain.txtValue(PickerMode).Text = Char2WebHex(tRGBCol.R, UpperCase)
            Else
                frmMain.txtValue(PickerMode).Text = Char2WebHex(Int(ix), UpperCase)
            End If
        Else
            If CBool(frmMain.chkWebSafe.Value) And (PickerMode >= Rot And PickerMode <= Blau) Then
                tRGBCol.R = Int(ix)
                tRGBCol = makeWebSafe(tRGBCol)
                frmMain.txtValue(PickerMode).Text = tRGBCol.R
            Else
                frmMain.txtValue(PickerMode).Text = Int(ix)
            End If
        End If
    End If

End Sub

Private Sub Form_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    PickerMode = OtherInput
    Unload Me
End Sub
